## fastqtl 2.184%2Bdfsg

=== debian/changelog ===
fastqtl (2.184+dfsg-8build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:29:47 +0000

fastqtl (2.184+dfsg-8) unstable; urgency=medium

  * Team Upload.
  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Dylan Aïssi ]
  * Update my email

  [ Nilesh Patra ]
  * d/rules: Force -std=c++14
  * Bump debhelper compatibility level to 13
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Replace deprecated ADTTMP with AUTOPKGTEST_TMP
  * Add "Rules-Requires-Root: no"
  * Update override

 -- Nilesh Patra <nilesh@debian.org>  Sat, 23 Oct 2021 18:14:58 +0530

fastqtl (2.184+dfsg-7) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #939811)
    + Let dh_auto_build pass cross tools to make.
    + cross.patch: Fix Makefile dependencies.

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 14:08:17 +0200

fastqtl (2.184+dfsg-6) unstable; urgency=medium

  * Team upload

  [ Dylan Aïssi ]
  * Mark fastqtl-doc as Multi-Arch: foreign.
  * Add OMICtools ref (Dylan) and declared others as
    missing (Steffen Moeller)
  * Remove unnecessary "Testsuite: autopkgtest" from d/control.
  * Switch to secure URI in d/copyright.

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jul 2018 20:55:22 +0200

fastqtl (2.184+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix patch for reproducible builds (Thanks to Reiner Herrmann
    <reiner@reiner-h.de>)
    Closes: #848292
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 16 Dec 2016 11:16:18 +0100

fastqtl (2.184+dfsg-4) unstable; urgency=low

  * Add a patch to fix reproducible builds (stable order for inputs).

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 31 Aug 2016 00:08:26 +0200

fastqtl (2.184+dfsg-3) unstable; urgency=low

  * Remove the manpage from fastqtl-doc. (Closes: #826885)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 12 Jun 2016 04:25:21 +0200

fastqtl (2.184+dfsg-2) unstable; urgency=low

  [ Dylan Aïssi ]
  * Switch Build-Depends from libgsl0-dev to libgsl-dev.
  * Fix reproducible builds. (Closes: #826209)

  [ Andreas Tille ]
  * Set all hardening options

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 02 Jun 2016 22:11:18 +0200

fastqtl (2.184+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #823115)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sat, 30 Apr 2016 23:21:54 +0200

## fastqtl 2.184%2Bv7%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# Don't override the upstream FLAG -O3
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS 2>/dev/null | sed -e 's/-O2//g')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -std=c++14

%:
	dh $@ --with python3

override_dh_auto_build:
	mkdir -p $(CURDIR)/obj/
	mkdir -p $(CURDIR)/bin/
	dh_auto_build -- CXXFLAGS='$(CXXFLAGS)'
	cd $(CURDIR)/example/ && \
		tar Jcvf examples.tar.xz * --sort=name --mode=go=rX,u+rw,a-s --owner=root --group=root --numeric-owner

execute_after_dh_fixperms-arch:
	chmod -x debian/*/usr/share/fastqtl/*.R

## fastqtl 2.184+dfsg

=== Makefile ===
#PLEASE SPECIFY THE R path here where you built the R math library standalone 
RMATH=~/Software/R-3.1.3/src

#compiler
CXX=g++

#internal paths
VPATH=$(shell for file in `find src -name *.cpp`; do echo $$(dirname $$file); done)
PATH_TABX=lib/Tabix
PATH_EIGN=lib/Eigen

#compiler flags
CXXFLAG_OPTI=-O3 -D_FAST_CORRELATION
CXXFLAG_DEBG=-g
CXXFLAG_WARN=-Wall -Wextra -Wno-sign-compare
CXXFLAG_MACX=-mmacosx-version-min=10.7 -stdlib=libc++

#linker flags
LDFLAG_OPTI=-O3
LDFLAG_DEBG=-g
LDFLAG_MACX=-mmacosx-version-min=10.7 -stdlib=libc++

#includes
INC_BASE=-Isrc -I$(PATH_TABX) -I$(PATH_EIGN)
INC_MATH=-I$(RMATH)/include/
INC_MACX=-I/usr/local/include/

#libraries
#LIB_BASE=-lm -lboost_iostreams -lboost_program_options -lz -lgsl -lblas
LIB_BASE=-lm -lz -lboost_iostreams -lboost_program_options -lgsl -lblas
LIB_MATH=$(RMATH)/nmath/standalone/libRmath.a
LIB_TABX=$(PATH_TABX)/libtabix.a
LIB_MACX=-L/usr/local/lib/

#files (binary, objects, headers & sources)
FILE_BIN=bin/fastQTL
FILE_O=$(shell for file in `find src -name *.cpp`; do echo obj/$$(basename $$file .cpp).o; done)
FILE_H=$(shell find src -name *.h)
FILE_CPP=$(shell find src -name *.cpp)

#default
all: linux

#linux release
linux: CXXFLAG=$(CXXFLAG_OPTI) $(CXXFLAG_WARN)
linux: IFLAG=$(INC_BASE) $(INC_MATH)
linux: LIB=$(LIB_MATH) $(LIB_TABX) $(LIB_BASE)
linux: LDFLAG=$(LDFLAG_OPTI)  
linux: $(FILE_BIN)

#macos release
macos: CXXFLAG=$(CXXFLAG_OPTI) $(CXXFLAG_WARN) $(CXXFLAG_MACX)
macos: IFLAG=$(INC_BASE) $(INC_MACX) $(INC_MATH)
macos: LIB=$(LIB_MACX) $(LIB_MATH) $(LIB_TABX) $(LIB_BASE)
macos: LDFLAG=$(LDFLAG_OPTI) $(LDFLAG_MACX)  
macos: $(FILE_BIN)

#debug release
debug: CXXFLAG=$(CXXFLAG_DEBG) $(CXXFLAG_WARN)
debug: IFLAG=$(INC_BASE) $(INC_MATH)
debug: LIB=$(LIB_MATH) $(LIB_TABX) $(LIB_BASE)
debug: LDFLAG=$(LDFLAG_DEBG)
debug: $(FILE_BIN)

#compilation
$(LIB_TABX):
	cd $(PATH_TABX) && make && cd ../..

$(FILE_BIN): $(FILE_O) $(LIB_TABX)
	$(CXX) $(LDFLAG) $^ $(LIB) -o $@

obj/%.o: %.cpp $(FILE_H)
	$(CXX) $(CXXFLAG) -o $@ -c $< $(IFLAG)

clean: 
	rm -f obj/*.o $(FILE_BIN)
	
cleanall: clean 
	cd $(PATH_TABX) && make clean && cd ../..

=== debian/changelog ===
fastqtl (2.184+dfsg-5build4) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:13:20 +0000

fastqtl (2.184+dfsg-5build3) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:09:59 +0000

fastqtl (2.184+dfsg-5build2) artful; urgency=medium

  * Rebuild against new libhts2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2017 19:25:02 +0200

fastqtl (2.184+dfsg-5build1) artful; urgency=medium

  * No-change rebuild against libhts2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Jun 2017 07:29:06 +0000

=== debian/control ===
Source: fastqtl
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
Build-Depends: debhelper (>= 10),
 libboost-dev,
 libboost-iostreams-dev,
 libboost-program-options-dev,
 libgsl-dev,
 r-mathlib,
 zlib1g-dev,
 libblas-dev,
 libeigen3-dev,
 libhts-dev
Testsuite: autopkgtest
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-med/fastqtl.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/fastqtl.git
Homepage: http://fastqtl.sourceforge.net/

Package: fastqtl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fastqtl-doc
Description: Quantitative Trait Loci (QTL) mapper in cis for molecular phenotypes
 The goal of FastQTL is to identify single-nucleotide polymorphisms (SNPs)
 which are significantly associated with various molecular phenotypes
 (i.e. expression of known genes, cytosine methylation levels, etc).
 It performs scans for all possible phenotype-variant pairs in cis
 (i.e. variants located within a specific window around a phenotype).
 FastQTL implements a new permutation scheme (Beta approximation) to accurately
 and rapidly correct for multiple-testing at both the genotype and phenotype
 levels.

Package: fastqtl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: fastqtl
Description: QTL mapper in cis for molecular phenotypes - documentation
 The goal of FastQTL is to identify single-nucleotide polymorphisms (SNPs)
 which are significantly associated with various molecular phenotypes
 (i.e. expression of known genes, cytosine methylation levels, etc).
 It performs scans for all possible phenotype-variant pairs in cis
 (i.e. variants located within a specific window around a phenotype).
 FastQTL implements a new permutation scheme (Beta approximation) to accurately
 and rapidly correct for multiple-testing at both the genotype and phenotype
 levels.
 .
 This package provides documentation and example data to work with FastQTL.

=== debian/rules ===
#!/usr/bin/make -f

# Don't override the upstream FLAG -O3
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS 2>/dev/null | sed -e 's/-O2//g')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	mkdir -p $(CURDIR)/obj/
	mkdir -p $(CURDIR)/bin/
	$(MAKE) CXXFLAGS='$(CXXFLAGS)'
	cd $(CURDIR)/example/ && \
		tar Jcvf examples.tar.xz * --sort=name --mode=go=rX,u+rw,a-s --owner=root --group=root --numeric-owner

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
 http://fastqtl.sourceforge.net/pages/install.html http://fastqtl.sourceforge.net/files/FastQTL-(\d\S*).linux\.tgz

## fastqtl 2.184+v7+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #PLEASE SPECIFY THE R path here where you built the R math library standalone 
-RMATH=~/Software/R-3.1.3/src
+RMATH=../../R-3.2.4/src
 
 #compiler
-CXX=g++
+CXX=g++ -std=c++11
 
 #internal paths
 VPATH=$(shell for file in `find src -name *.cpp`; do echo $$(dirname $$file); done)
@@ -27,7 +27,7 @@
 
 #libraries
 #LIB_BASE=-lm -lboost_iostreams -lboost_program_options -lz -lgsl -lblas
-LIB_BASE=-lm -lz -lboost_iostreams -lboost_program_options -lgsl -lblas
+LIB_BASE=-lm -lz -lbz2 -lboost_iostreams -lboost_program_options -lgslcblas -lgsl -lblas
 LIB_MATH=$(RMATH)/nmath/standalone/libRmath.a
 LIB_TABX=$(PATH_TABX)/libtabix.a
 LIB_MACX=-L/usr/local/lib/

=== debian/changelog ===
fastqtl (2.184+v7+dfsg-5) unstable; urgency=medium

  * d/control: adjust Recommends per recommendations.
    Thanks to Charles Plessy for the hints. (Closes: #1113845)
  * d/watch: repair and convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/copyright: drop the old FSF mail address.
  * d/patches/*: normalize dep3 headers.

 -- Étienne Mollier <emollier@debian.org>  Mon, 17 Nov 2025 22:47:43 +0100

fastqtl (2.184+v7+dfsg-4) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/control: remove redundant ${misc:Depends}.
  * d/clean: new: remove leftover artifact. (Closes: #1044949, #1049574)

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 19:31:08 +0100

fastqtl (2.184+v7+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/rules: only fix permissions for arch-any builds. (Closes: #1021994)
  * d/t/fastqtl_expected_output.txt: update to match behavior of v7.
    (Closes: #1021995)

 -- Étienne Mollier <emollier@debian.org>  Sat, 22 Oct 2022 13:50:04 +0200

fastqtl (2.184+v7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Build-Depends: libbz2-dev
    Closes: #1021832

 -- Andreas Tille <tille@debian.org>  Sun, 16 Oct 2022 14:59:19 +0200

fastqtl (2.184+v7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Package enhanced fastqtl from Github
  * Standards-Version: 4.6.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Add missing ${misc:Depends} to Depends for fastqtl.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 05 Oct 2022 13:36:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,35 @@
 Source: fastqtl
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Dylan Aïssi <daissi@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
-Build-Depends: debhelper (>= 10),
- libboost-dev,
- libboost-iostreams-dev,
- libboost-program-options-dev,
- libgsl-dev,
- r-mathlib,
- zlib1g-dev,
- libblas-dev,
- libeigen3-dev,
- libhts-dev
-Testsuite: autopkgtest
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/fastqtl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/fastqtl.git
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               python3,
+               libboost-dev,
+               libboost-iostreams-dev,
+               libboost-program-options-dev,
+               libgsl-dev,
+               r-mathlib,
+               zlib1g-dev,
+               libblas-dev,
+               libeigen3-dev,
+               libhts-dev,
+               libbz2-dev
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/med-team/fastqtl
+Vcs-Git: https://salsa.debian.org/med-team/fastqtl.git
 Homepage: http://fastqtl.sourceforge.net/
 
 Package: fastqtl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${python3:Depends},
+         python3,
+         ${misc:Depends}
+Recommends: r-bioc-qvalue,
+            r-cran-argparser
 Suggests: fastqtl-doc
 Description: Quantitative Trait Loci (QTL) mapper in cis for molecular phenotypes
  The goal of FastQTL is to identify single-nucleotide polymorphisms (SNPs)
@@ -35,8 +42,9 @@
  levels.
 
 Package: fastqtl-doc
+Architecture: all
+Multi-Arch: foreign
 Section: doc
-Architecture: all
 Depends: ${misc:Depends}
 Enhances: fastqtl
 Description: QTL mapper in cis for molecular phenotypes - documentation

=== debian/watch ===
Version: 5
# Note: superseded by tensorQTL[1].
# [1]: https://github.com/broadinstitute/tensorqtl

Template: Github
Owner: francois-a
Project: fastqtl
Repack: yes
Repack-Suffix: +dfsg
DVersion-Mangle: auto
UVersion-Mangle: s/^/2.184+v/
